Subject: Re: [PATCH 1/2] Add MPC52xx Interrupt controller support for ARCH=powerpc

From: Nicolas DET <[email-masked]>
Date: Tue, 31 Oct 2006 09:28:49 +0100 (MET)

Benjamin Herrenschmidt wrote:
> On Tue, 2006-10-31 at 08:49 +0100, Nicolas DET wrote:
> 
>> In this case: shouldn't the platform init correctly setup the hw instead 
>> of the Firmware?
> 
> No. The device-tree contains the polarity information, it gets passed to
> the PIC driver via set_irq_type() anyway so there is no need in theory
> to have the HW initialized by the firmware if that is implemented. In
> the case where it's not, however, you indeed need to make sure the
> firmware have programmed the same settings in the HW as are exposed in
> the device-tree.
> 

In my point of view, the Firmware main task is to init the HW. I do not 
think it's a good idea to overwrite firmware hw settings in the common 
code. In my mind, this should be done in platform specific area.

Regards,